Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514543 - qupzilla.desktop file name changed from 2.1.x
Summary: qupzilla.desktop file name changed from 2.1.x
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: qupzilla
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 18:15 UTC by Randy Barlow
Modified: 2018-02-11 11:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-18 00:59:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1505149 None None None Never

Internal Links: 1505149

Description Randy Barlow 2017-11-17 18:15:12 UTC
Hello! I recently updated Qupzilla on my F27 system and after that my desktop started opening links in Firefox even though I had Qupzilla set at the default.

It took me a while to realize what happened, but it looks like the filename for the .desktop file changed:

qupzilla-2.1.2-4.fc27 provided /usr/share/applications/qupzilla.desktop
qupzilla-2.2.1-1.fc27 provides /usr/share/applications/org.qupzilla.QupZilla.desktop


I was able to use the following to workaround it:

$ xdg-settings set default-url-scheme-handler http org.qupzilla.QupZilla.desktop
$ xdg-settings set default-url-scheme-handler https org.qupzilla.QupZilla.desktop
$ xdg-settings set default-web-browser org.qupzilla.QupZilla.desktop


Since it is a backwards incompatible change, I recommend reverting it in F27 and perhaps leaving it the way it is in Rawhide if you want to rename it.

Comment 1 Rex Dieter 2017-11-17 18:18:26 UTC
Or... provide a backward compatible (but hidden) .desktop file

Comment 2 Kevin Kofler 2017-11-18 00:59:31 UTC
Upstream renamed the .desktop file, send any complaints there.

Comment 3 Kevin Kofler 2017-11-18 01:09:15 UTC
What's sure is that the name will change again with 2.3 which will rename the application to Falkon.

Comment 4 Randy Barlow 2017-11-19 17:54:53 UTC
It would be reasonable to provide a .desktop file that is backwards compatible in the spec file for stable Fedora releases, even if upstream changed it. This way we can provide a stable experience for Fedora users.


Note You need to log in before you can comment on or make changes to this bug.